
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Java精确抽取网页发布时间_java / iVAN</title>

    <meta name="description" content="Java精确抽取网页发布时间_java 对网页中各种不同格式的发布时间进行抽取,将发布时间以规整的&quot;yyyy-MM-dd HH:mm:ss&quot;格式表示出来,只能尽量追求精确,但是因为网络发布时间的格式十分灵活,所以做不到百分百地正确抽取 package whu.extract.pubtime.core; import java.util.ArrayList; import java.util.Calendar; import java.util.Collections; import java.util.List;  ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Java精确抽取网页发布时间_java</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>对网页中各种不同格式的发布时间进行抽取，将发布时间以规整的“yyyy-MM-dd HH:mm:ss”格式表示出来，只能尽量追求精确，但是因为网络发布时间的格式十分灵活，所以做不到百分百地正确抽取</p>
<pre>
package whu.extract.pubtime.core;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.Collections;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

import whu.utils.TimeUtil;

/**
 * Created On 2014年3月13日 下午2:49:05
 * @description 获取网页的发布时间
 */
public class FetchPubTime {
  /** 表示url中连续的8位日期，例如http://www.baidu.com/20140311/2356.html */
  private static String url_reg_whole= "([-|/|_]{1}20\\d{6})";
  /** 表示 用-或者/隔开的日期,有年月日的，例如 http://www.baidu.com/2014-3-11/2356.html */
  private static String url_reg_sep_ymd = "([-|/|_]{1}20\\d{2}[-|/|_]{1}\\d{1,2}[-|/|_]{1}\\d{1,2})";
  /** 表示 用-或者/隔开的日期,只有年和月份的，例如 http://www.baidu.com/2014-3/2356.html */
  private static String url_reg_sep_ym = "([-|/|_]{1}20\\d{2}[-|/|_]{1}\\d{1,2})";
  private static Calendar current = Calendar.getInstance();
  /** 格式正确的时间正则表达式*/
  private static String rightTimeReg = "^((\\d{2}(([02468][048])|([13579][26]))[\\-\\/\\s]?((((0?[13578])|(1[02]))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(3[01])))|(((0?[469])|(11))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(30)))|(0?2[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])))))|(\\d{2}(([02468][1235679])|([13579][01345789]))[\\-\\/\\s]?((((0?[13578])|(1[02]))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(3[01])))|(((0?[469])|(11))[\\-\\/\\s]?((0?[1-9])|([1-2][0-9])|(30)))|(0?2[\\-\\/\\s]?((0?[1-9])|(1[0-9])|(2[0-8]))))))(\\s(((0?[0-9])|([1-2][0-3]))\\:([0-5]?[0-9])((\\s)|(\\:([0-5]?[0-9])))))?$";

  /**
   * @param url
   * @param urlContent
   * @return
   */
  public static String getPubTimeVarious(String url,String urlContent) {

    String pubTime = getPubTimeFromUrl(url);

   //链接里面没有，匹配文本中的
    if(pubTime == null)
    {
      if(urlContent!=null&amp;&amp;!urlContent.trim().equals(""))
        return extractPageDate(urlContent);
    }

    return pubTime;
  }

  /**从url里面抽取出发布时间，返回YYYY-MM-DD HH:mm:ss格式的字符串
   * @param url
   * @return
   */
  public static String getPubTimeFromUrl(String url)
  {
    Pattern p_whole = Pattern.compile(url_reg_whole);
    Matcher m_whole = p_whole.matcher(url);
    if(m_whole.find(0)&amp;&amp;m_whole.groupCount()&gt;0)
    {
      String time = m_whole.group(0);
      time = time.substring(1,time.length());
      //每一步都不能够超出当前时间
    if(current.compareTo(TimeUtil.strToCalendar(time, "yyyyMMdd"))&gt;=0)
    {

      return time.substring(0,4)+"-"+time.substring(4,6)+"-"+
         time.substring(6,8)+" "+"00:00:00";
    }
    }

    p_whole = null;
    m_whole = null;
    Pattern p_sep = Pattern.compile(url_reg_sep_ymd);
    Matcher m_sep = p_sep.matcher(url);
    if(m_sep.find(0)&amp;&amp;m_sep.groupCount()&gt;0)
    {
       String time = m_sep.group(0);
       time = time.substring(1,time.length());
       String[] seg = time.split("[-|/|_]{1}");
       Calendar theTime = Calendar.getInstance();
       theTime.set(Calendar.YEAR,Integer.parseInt(seg[0]));
       theTime.set(Calendar.MONTH, Integer.parseInt(seg[1]));
       theTime.set(Calendar.DAY_OF_MONTH, Integer.parseInt(seg[2]));
       if(current.compareTo(theTime)&gt;=0)
        {

      return seg[0]+"-"+seg[1]+"-"+seg[2]+" "+"00:00:00";
        }
    }
    p_sep = null;
    m_sep = null;
    Pattern p_sep_ym = Pattern.compile(url_reg_sep_ym);
    Matcher m_sep_ym = p_sep_ym.matcher(url);
    if(m_sep_ym.find(0)&amp;&amp;m_sep_ym.groupCount()&gt;0)
    {
       String time = m_sep_ym.group(0);
       time = time.substring(1,time.length());
       Calendar theTime = Calendar.getInstance();
       String[] seg = time.split("[-|/|_]{1}");
       theTime.set(Calendar.YEAR,Integer.parseInt(seg[0]));
       theTime.set(Calendar.MONTH, Integer.parseInt(seg[1]));
       theTime.set(Calendar.DAY_OF_MONTH, 1);
       if(current.compareTo(theTime)&gt;=0)
      {

      return seg[0]+"-"+seg[1]+"-"+"01"+" "+"00:00:00";
      }
    }

    return null;
  }

  /** 从网页源码中取出发布时间
   * java中正则表达式提取字符串中日期实现代码
   * 2013年12月19日15:58:42
   * 读取出2013-12-19 15:48:33或者2013-12-19或者2012/3/05形式的时间
   * @param text 待提取的字符串
   * @return 返回日期
   * @author: oschina
   * @Createtime: Jan 21, 2013
   */
  public static String extractPageDate(String text) {
    boolean containsHMS =false;
    String dateStr = text.replaceAll("r?n", " ");
    try {
      List matches = null;
      Pattern p_detail = Pattern.compile("(20\\d{2}[-/]\\d{1,2}[-/]\\d{1,2} \\d{1,2}:\\d{1,2}:\\d{1,2})|(20\\d{2}年\\d{1,2}月\\d{1,2}日)", Pattern.CASE_INSENSITIVE|Pattern.MULTILINE);
      //如果是仅仅抽取年月日，则按照上面的，如果是抽取年月日-时分秒，则按照下面的
      Pattern p = Pattern.compile("(20\\d{2}[-/]\\d{1,2}[-/]\\d{1,2})|(20\\d{2}年\\d{1,2}月\\d{1,2}日)", Pattern.CASE_INSENSITIVE|Pattern.MULTILINE);
      //Matcher matcher = p.matcher(dateStr);
      Matcher matcher_detail = p_detail.matcher(dateStr);

      if(!(matcher_detail.find(0) &amp;&amp; matcher_detail.groupCount() &gt;= 1))
      {
        matcher_detail = p.matcher(dateStr);
        containsHMS = true;
      }else
        matcher_detail = p_detail.matcher(dateStr);
      if (matcher_detail.find() &amp;&amp; matcher_detail.groupCount() &gt;= 1) {
        matches = new ArrayList();
        for (int i = 1; i &lt;= matcher_detail.groupCount(); i++) {
          String temp = matcher_detail.group(i);
          matches.add(temp);
        }
      } else {
        matches = Collections.EMPTY_LIST;
      }      

      if (matches.size() &gt; 0) {
        for(int i=0;i&lt;matches.size();i++)
        {
          String pubTime = matches.get(i).toString().trim();
          //取出第一个值
          pubTime = pubTime.replace("/", "-").replace("年", "-").replace("月", "-").replace("日", "-");
          if(current.compareTo(TimeUtil.strToCalendar(pubTime, "yyyy-MM-dd"))&gt;=0)
          {
            if(containsHMS)
              pubTime+=" "+"00:00:00";
            if(pubTime.matches(rightTimeReg))
            {
              return pubTime;
            }
          }
        }
      } else {
        return null;
      } 

    } catch (Exception e) {
      return null;
    }
    return null;
  }
}</pre>
<p>以上就是本文的全部内容，希望对大家学习java程序设计有所帮助。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索Java抽取网页时间<br />
                    ，                Java抽取发布时间<br />
                                    Java抽取时间<br />
                                    精确抽取网页发布时间、java新闻网页正文抽取、java list随机抽取、实体关系抽取 java、java随机抽取名字，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-23 17:56:58</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/java%e6%8a%bd%e5%8f%96%e5%8f%91%e5%b8%83%e6%97%b6%e9%97%b4/" title="Java抽取发布时间">Java抽取发布时间</a>, <a href="https://www.iamivan.net/tag/java%e6%8a%bd%e5%8f%96%e7%bd%91%e9%a1%b5%e6%97%b6%e9%97%b4/" title="Java抽取网页时间">Java抽取网页时间</a>, <a href="https://www.iamivan.net/tag/java%e6%8a%bd%e5%8f%96%e6%97%b6%e9%97%b4/" title="Java抽取时间">Java抽取时间</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Java精确抽取网页发布时间_java的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgmEk5z.html" rel="bookmark">java显示当前的系统时间&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编写Applet小程序,通过在HTML文档中接收参数,用不同颜色.字体显示当前的系统时间. Ex4_1.java import java.awt.*; import java.applet.Applet; import java.util.Calendar; public class Ex4_1 extends Applet { Calendar now; private String s1; private int size,color; public void init() { now=Ca			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL5jVaz.html" rel="bookmark">java随机抽取指定范围内不重复的n个数&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.JAVA中生成随机数的方式1.在j2se中使用Math.random()令系统随机选取一个0~1之间的double类型小数,将其乘以一个数,比如25,就能得到一个0~25范围内的随机数,这个在j2me中没有:    int randomNumber = (int) Math.round(Math.random()*(max-min)+min); 2.在System类中有一个currentTimeMillis()方法,这个方法返回从1970年1月1号0点0分0秒到目前的一个long型的毫秒数,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7kneXz.html" rel="bookmark">Java使用正则表达式及字符串操作，抽取网页信息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用正则表达式及字符串操作,抽取网页信息,实现代码如下: /* 去script */ public static String trimScript(String content) { String regEx = &quot;&lt;script[^&gt;]*&gt;[^&lt;]+&lt;/script&gt;&quot;; Pattern p = Pattern.compile(regEx); Matcher m = p.matcher(content); String result = cont			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRNrYBM.html" rel="bookmark">Java 8中日期和时间的处理方法&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java 8新增了LocalDate和LocalTime接口,为什么要搞一套全新的处理日期和时间的API?因为旧的java.util.Date实在是太难用了. java.util.Date月份从0开始,一月是0,十二月是11,变态吧!java.time.LocalDate月份和星期都改成了enum,就不可能再用错了. java.util.Date和SimpleDateFormatter都不是线程安全的,而LocalDate和LocalTime和最基本的String一样,是不变类型,不但线程安全,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAkAoZz.html" rel="bookmark">详解JAVA抓取网页的图片&comma;JAVA利用正则表达式抓取网站图片&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				利用Java抓取网页上的所有图片: 用两个正则表达式: 1.匹配html中img标签的正则:&lt;img.*src=(.*?)[^&gt;]*?&gt; 2.匹配img标签中得src中http路径的正则:http:\&quot;?(.*?)(\&quot;|&gt;|\\s+) 实现: package org.swinglife.main; import java.io.File; import java.io.FileOutputStream; import java.io.InputStream;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj82x5p.html" rel="bookmark">学习Java中的日期和时间处理及Java日历小程序的编写&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java 在 java.util 包中提供了 Date 类,这个类封装了当前的日期和时间. Date 类支持两种构造函数.第一个构造函数初始化对象的当前日期和时间. Date( )下面的构造函数接收一个参数等于自1970年1月1日午夜起已经过的毫秒数 Date(long millisec) 一旦有一个可用的日期对象,可以调用以下任何一种支持的方法使用时间: SN 方法和描述 1 boolean after(Date date) 如果调用Date对象包含或晚于指定的日期则返回true,否则,返回f			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWDeYz.html" rel="bookmark">Java中的日期和时间类以及Calendar类用法详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java日期和时间类简介 Java 的日期和时间类位于 java.util 包中.利用日期时间类提供的方法,可以获取当前的日期和时间,创建日期和时间参数,计算和比较时间. Date 类 Date 类是 Java 中的日期时间类,其构造方法比较多,下面是常用的两个: Date():使用当前的日期和时间初始化一个对象. Date(long millisec):从1970年01月01日00时(格林威治时间)开始以毫秒计算时间,计算 millisec 毫秒.如果运行 Java 程序的本地时区是北京时区(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDk4g0p.html" rel="bookmark">java实现oracle插入当前时间的方法&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了java实现oracle插入当前时间的方法.分享给大家供大家参考.具体分析如下: 我在做一个inser操作的时候 要获取当前时间 存入数据库 就直接 ps.setDate(new java.util.Date()); 但是会报转换错误 此时应该 java.util.Date utilDate = new java.util.Date(); java.sql.Date sqlDate = new java.sql.Date(utilDate.getTime()); ps.setDat			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6GvlAp.html" rel="bookmark">java采用中文方式显示时间的方法&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了java采用中文方式显示时间的方法.分享给大家供大家参考.具体如下: 其中t为秒,比如有时候需要计算两个任务相差多久,或者该任务何时结束或者某个任务间隔多久重新启动等适用于本方法.如果是微秒,自己先/1000 private static String chinese_period(int t){ int y, n, d, h, m, s; String time; if(t&lt;=0) return &quot;立即&quot;; s = t % 60; t /= 60; m = t %			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bB52Kz.html" rel="bookmark" class="title">何谓PhotoShop的色彩空间</a>
					<div>
						PhotoShop的色彩空间 你好,我正在学习PhotoShop图像处理软件,但是对PhotoShop中各种常见的色彩空间非常困惑.注入RGB.CMYK等,它们究竟有什么用处? 最普通的色彩空间便是R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6jaAM.html" rel="bookmark" class="title">PHP学习笔记：注意事项</a>
					<div>
						笔记 注意事项: 一,注意不要漏了分号(从ASP转来最易有此毛病) 二,注意不要漏掉变量前的$ 三,使用SESSION时注意不要遗漏了SESSION_START(); 如果发生错误可以采用以下方法 一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxGyPb.html" rel="bookmark" class="title">VB用API实现各种对话框&lpar;总结&rpar;</a>
					<div>
						对话框 各种对话框(总结) ''标准对话框(SmDialog)'Option Explicit''定义一个全局变量,用于保存字体的各种属性Public Type SmFontAttr FontName ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnlJjb.html" rel="bookmark" class="title">设置和重设vb&period;net的属性</a>
					<div>
						当用户可以设置或者得到属性的值的时候,这些属性就在改变.有此属性可以在设计的时候改变.用户可以在属性窗口设置这些属性的值,而不需要写任何代码,而有些代码在设计的时候是不能改变的,所以必须在运行的程序中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AaDWp.html" rel="bookmark" class="title">预装试用版Office使用指南</a>
					<div>
						  故障现象: 随机Office 2010 Transition现在点击&quot;试用&quot;按钮,将跳转到Office 365试用页面.免费试用期改为1个月. 原因分析: 微软中国在2013年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjXJ3p.html" rel="bookmark" class="title">vmware中linux如何设置网卡</a>
					<div>
						  以下设置在host:winpro sp2 guest:rh9 环境下通过.首先在setting中,将虚拟机的网卡设置成host-only. (1)查看你的连接外网的网卡的属性,选择&quot;高级 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WnOJb.html" rel="bookmark" class="title">Win8系统IE浏览器&rdquo;下载管理器&rdquo;功能出现故障无法下载文件怎么办</a>
					<div>
						  具体方法如下: 1.确保当前计算机已正确并正常连接到网络; 2.使用磁盘清理工具.CCleaner 或浏览器内置的功能清理 IE 临时文件.Cookies 和历史记录等,并在清理完成后重启计算机; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwa6Vb.html" rel="bookmark" class="title">怎样更快找到win8系统收藏夹的位置</a>
					<div>
						  在利用IE浏览器的时候,我们总会把常用的一些网站网址存储在系统默认的收藏夹里,以便以后可以轻松的访问.windows其他的系统,用户一般都可以迅速的找到那些存储收藏夹的位置,不过是在新系统win8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7jwjb.html" rel="bookmark" class="title">win8相机用不了打不开 win8相机权限获取方法</a>
					<div>
						  故障现象: 打开win8系统下使用相机应用,提示此应用需要相应权限才能使用你的摄像头,无法拍摄画面.这是怎么回事呢?其实,这是因为在win8相机应用里设置了关闭摄像头,只要打开就可以了 原因分析: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZP9Zb.html" rel="bookmark" class="title">脏读、不可重复读、幻读</a>
					<div>
						锁就是防止其他事务访问指定的资源的手段.锁是实现并发控制的主要方法,是多个用户能够同时操纵同一个数据库中的数据而不发生数据不一致现象的重要保障.一般来说,锁可以防止脏读.不可重复读和幻觉读.   事务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7XjQz.html" rel="bookmark" class="title">数据类型-如何预估redis所需容量</a>
					<div>
						问题描述 如何预估redis所需容量 如使用 set数据类型, key最大长度为36个字节,val为255个字节,key总量预估为1kw c币囊中羞涩,但跪求大牛指点 解决方案 你都以最大长度先估计一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXw7OvM.html" rel="bookmark" class="title">阿里云发布数据库产品HybridDB 兼容23种数据类型</a>
					<div>
						12月9日,阿里云宣布数据库产品 HybridDB 正式商业化.HybridDB(ApsaraDB HybridDB)是一款在线MPP大规模并行处理数据仓库的服务.它基于 Pivotal 公司的开源数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmq2Rz.html" rel="bookmark" class="title">PC市场衰退：厂商酝酿大变局</a>
					<div>
						近日,从业内讨论全球第一大PC厂商联想集团CEO杨元庆究竟是不是合格CEO,到日本主要PC厂商计划抱团取暖,这都直接让移动互联网时代的PC行业愈发变得黯然,大变局的时代是不是很快来临? 全球第一的&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5NeVM.html" rel="bookmark" class="title">Java IO--管道流PipedOutputStream&sol;PipedInputStream</a>
					<div>
						管道流 import java.io.* ; class Send implements Runnable{ // 线程类 private PipedOutputStream pos = null ; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR0Q8b.html" rel="bookmark" class="title">ofbiz服务引擎到底有什么好处</a>
					<div>
						问题描述 ofbiz服务引擎到底有什么好处 ofbiz服务引擎到底有什么好处 在controler里用 type=&quot;java&quot; 和type=&quot;service&quot;各 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RQymz.html" rel="bookmark" class="title">用好PostgreSQL role membership来管理继承组权限</a>
					<div>
						用好PostgreSQL role membership来管理继承组权限 作者 digoal 日期 2016-11-14 标签 PostgreSQL , role , 角色 , membership  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq1Dmb.html" rel="bookmark" class="title">分众传媒追随都市人轨迹 在各领域都会并购</a>
					<div>
						&quot;早上,七点五十分,青年诗人醒来/把腰带束紧,毛衣穿好/眼睛暂时还不能回到现实/但阳光显然过于刺眼/诗人翻身下床光着脚/有点艰难,他隐隐地体会到自己的体重/在增加,这是意外的差错--&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDn49OM.html" rel="bookmark" class="title">c&num; 如何用右键选中dataGridView的单元格</a>
					<div>
						问题描述 想在WINFORM的dataGridView里面用使用右键达到和左键一样的选中功能,新手求助! 解决方案 解决方案二:新手求助!解决方案三:在CellMouseDown事件中写if(e.Bu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YKBZz.html" rel="bookmark" class="title">《中国人工智能学会通讯》&mdash;&mdash;10&period;29 实验结果</a>
					<div>
						10.29 实验结果 我 们 在 Multi-PIE 数 据 集[7] .SurveillanceCameras 人脸数据集[8] .Multiple Biometric GrandChallenge ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba67RqM.html" rel="bookmark" class="title">javascript 正则表达式相关应介绍&lowbar;javascript技巧</a>
					<div>
						string 对象 1.str.match(RegExp) 在str中搜索匹配RegExp的字符串并保存在一个数组内返回, 如果RegExp不是全局设置(/g),仅匹配一次 复制代码 代码如下: (& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmO58p.html" rel="bookmark" class="title">nginx安装etag模块的方法</a>
					<div>
						Etag: &quot;5d8c72a5edda8d6a:3239″ 客户端的查询更新格式是这样的: If-None-Match: &quot;5d8c72a5edda8d6a:3239″ 如果ETa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6Z6wM.html" rel="bookmark" class="title">jquery validation验证身份证号&comma;护照&comma;电话号码&comma;email&lpar;实例代码&rpar;&lowbar;jquery</a>
					<div>
						validata.htm 复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ26Gwz.html" rel="bookmark" class="title">使用jquery prev&lpar;&rpar;方法找到同级的前一个元素&lowbar;jquery</a>
					<div>
						检索每个段落,找到类名为 &quot;selected&quot; 的前一个同胞元素: $(&quot;p&quot;).prev(&quot;.selected&quot;) .prev() 方法允 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEnoAz.html" rel="bookmark" class="title">FLASH调用XML数据代码实例教程</a>
					<div>
						FLASH调用XML数据代码实例教程 FLASH如何调用XML数据:建立XML对象: var myXML = new XML(); 引用XML文件: myXML.load(&quot;data.xml ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWxrKz.html" rel="bookmark" class="title">url-MFC  URL编码 含有中文编码问题求解</a>
					<div>
						问题描述 MFC URL编码 含有中文编码问题求解 程序里需要通过URL传递参数,里面如果有中文的话就变成?????,程序设置为多字节. 求一个可以用的 URL编码例子 解决方案 自己解决了 转化例子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmRDa5z.html" rel="bookmark" class="title">美国少年开网站专报好人好事</a>
					<div>
						有人觉得媒体报道的负面新闻太多了,美国佛罗里达州奥兰多一个男生正是因为有此感觉,决定创立专门报道好人.好事和英雄事迹的新闻网站.12岁的男生马克斯·琼斯虽然得为课业忙碌,还得参加乐团的练习和上大提琴课 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXdOZAp.html" rel="bookmark" class="title">js实现的早期滑动门菜单效果代码&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了js实现的早期滑动门菜单效果代码.分享给大家供大家参考.具体如下: 这里介绍的是传说中的早期滑动门菜单Demo代码,测试时请把鼠标放到左侧相应的导航栏目上,放在左侧菜单上的时候,你就发现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQW5rwp.html" rel="bookmark" class="title">javascript语言扩展&colon;可迭代对象（4）</a>
					<div>
						js 1.7中还包含一个数组推导(array comprehension)的特性,如果不在最后介绍它好像显得不怎么完整. 数组推导其实很简单: let a = [x*x for(x in range( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyK7mdz.html" rel="bookmark" class="title">CIO不仅要精于技术，还要会讲故事</a>
					<div>
						阿斯利康制药公司的首席信息官努力以叙事结构向制药公司的高管解释技术性概念. 戴夫·斯莫雷(Dave Smoley)最近正专注于一个为期三年的数字化转型工作.虽然大多数首席信息官(CIO)可能正打开香槟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPW7Q8M.html" rel="bookmark" class="title">打击网络侵权盗版专项治理&OpenCurlyDoubleQuote;剑网行动&rdquo;21日在京启动</a>
					<div>
						行动将持续到10月底,这也是自2005年以来组织的第六次网络专项行动.全国打击网络侵权盗版专项治理工作领导小组办公室有关负责人介绍说,当前网络侵权盗版逐步呈现出集团化.专业化.高技术化的特点,不仅严重 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
